<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'todo_list_create' %}">Create a new list</a>
            </p>
            <p>
                <a href="{% url 'todo_item_create' %}">Create a new item</a>
            </p>
            <table>
                <thead>
                    <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in show_list %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' list.id %}">{{ list.name }}</a></td>
                        <td>{{ list.items.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>